{System/conversion/conversion_progress.i}

DEF VAR cProgram                         AS CHARACTER NO-UNDO.
DEF VAR cAction                          AS CHARACTER NO-UNDO.
DEF VAR cTable                           AS CHARACTER NO-UNDO.
DEF VAR iTotal                           AS INTEGER   NO-UNDO.
DEF VAR iDone                            AS INTEGER   NO-UNDO.
DEF VAR iLoop                            AS INTEGER   NO-UNDO.
DEF VAR iModulo                          AS INTEGER   NO-UNDO.

DISABLE TRIGGERS FOR LOAD OF dp-control.
DISABLE TRIGGERS FOR LOAD OF dp-transaction.

DEFINE BUFFER b-dp-control FOR dp-control.
DEFINE BUFFER b-dp-transaction FOR dp-transaction.


ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "NCTS control codes"
  cTable   = "dp-control"
  iTotal   = 0
  iDone    = 0
  iModulo  = 0
  .


DO TRANSACTION:

  FOR EACH b-dp-control WHERE
           b-dp-control.controlname = "TG1-REF-OUT-IN-DOSSIERNR"
           EXCLUSIVE-LOCK:
    b-dp-control.controlname = "NCTS-REF-OUT-IN-DOSSIERNR".
    iDone = iDone + 1.
  END.

  FOR EACH b-dp-control WHERE
           b-dp-control.controlname = "TG1-CUSTOMS-DIR"
           EXCLUSIVE-LOCK:
    b-dp-control.controlname = "NCTS-CUSTOMS-DIR".
    iDone = iDone + 1.
  END.

  FOR EACH b-dp-control WHERE
           b-dp-control.controlname = "TG1-EXPORT-AANGKODE"
           EXCLUSIVE-LOCK:
    b-dp-control.controlname = "NCTS-EXPORT-AANGKODE".
    iDone = iDone + 1.
  END.

  FOR EACH b-dp-control WHERE
           b-dp-control.controlname = "CONFORM-TG1"
           EXCLUSIVE-LOCK:
    b-dp-control.controlname = "CONFORM-NCTS".
    iDone = iDone + 1.
  END.


  FOR EACH sp-company:
    FOR EACH b-dp-transaction WHERE
             b-dp-transaction.companycode = sp-company.companycode AND
             b-dp-transaction.transactiontype = "CUSTOMS-EXPORT-TG1" AND
             b-dp-transaction.ind_processed = FALSE
             EXCLUSIVE-LOCK:
      b-dp-transaction.transactiontype = "CUSTOMS-EXPORT-NCTS".
      iDone = iDone + 1.
    END.
  END.

END. /* Transaction */

iTotal = iDone.
RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).



